Name: libsndfile
Version: 1.0.2
Release: alt1

Summary: A library to handle various audio file formats
License: LGPL
Group: System/Libraries
Url: http://www.zip.com.au/~erikd/%name

Source: %url/%name-%version.tar.bz2

Prefix: %prefix

# Automatically added by buildreq on Tue Dec 03 2002
BuildRequires: glibc-devel-static

%package devel
Summary: Development environment for %name
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%package utils
Summary: Utilities for %name
Group: Sound
Requires: %name = %version-%release

%description
%name is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

This package contains shared library required for %name-based applications.

%description devel
%name is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

This package contains development files required
in development of the %name-based applications.

%description devel-static
%name is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

This package contains static library required for development statically
linked %name-based applications.

%description utils
%name is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

This package contains utilities for %name.

%prep
%setup -q

%build
%configure

# SMP-incompatible build
%make 

%install
%makeinstall
find doc -type f -name Makefile\* -print0 |xargs -r0 rm -f

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS README TODO doc/*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/sndfile.pc

%files devel-static
%_libdir/*.a

%files utils
%_bindir/*

%changelog
* Tue Dec 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Thu Sep 19 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.1-alt2
- Added pkgconfig files to devel

* Thu Sep 19 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.1-alt1
- 1.0.1
- Fixed configure.in
- Disabled parallel building

* Thu Apr 11 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.0.27-alt2
- Fixed memleak in sf_open_read
- Some fixes in spec

* Wed Mar 06 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.0.27-alt1
- 0.0.27

* Mon Oct 01 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.0.26-alt1
- 0.0.26

* Wed Sep 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.0.25-alt1
- 0.0.25
- Moved static library to devel-static subpackage.

* Fri Jan 19 2001 Dmitry V. Levin <ldv@fandra.org> 0.0.22-ipl1
- Initial revision.
